--- templates/crds/pgtasks-crd.yaml	2022-01-07 09:19:11.245067732 -0600
+++ templates/crds/pgtasks-crd.yaml.tmp	2022-01-07 09:19:00.105064983 -0600
@@ -1,8 +1,11 @@
----
+{{- if (not (lookup "apiextensions.k8s.io/v1" "CustomResourceDefinition" "" "pgtasks.pg.percona.com")) }}
 apiVersion: apiextensions.k8s.io/v1
 kind: CustomResourceDefinition
 metadata:
   name: pgtasks.pg.percona.com
+  annotations:
+    helm.sh/hook: pre-install,pre-upgrade
+    helm.sh/hook-weight: '1'
 spec:
   conversion:
     strategy: None
@@ -29,3 +32,4 @@
             properties:
               state: { type: string }
               message: { type: string }
+{{- end }}
